% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i PreConv Link
% ACCdef_PCL contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdate_PCL contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_PCL,accPCL,ACCdefRis_PCL,TempDef_PCL] = MediaDati_PCL(...
    accPCL,TimePCL,ris_acc_PCL,NdatiMedia,T_PCL,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_PCL function started';
fprintf(fileID,fmt,text);

%% Accelerazione
[r,~]=size(accPCL);
if NdatiMedia > r
    NdatiMedia = r;
end
accPCL = smoothdata(accPCL,'gaussian',NdatiMedia);

%% Matrice date
ARRAYdate_PCL = TimePCL;

%% Risultante acc
ACCdefRis_PCL = ris_acc_PCL; % Non faccio la media, mi serve il dato come è per applicare i filtri

%% Temperatura
TempDef_PCL = T_PCL; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average values for PreConv Link have been processed. MediaDati_PCL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end